.. Generated automatically by doc/tools/makerst.py in Godot's source tree.
.. DO NOT EDIT THIS FILE, but the JavaScript.xml source instead.
.. The source is found in doc/classes or modules/<name>/doc_classes.

.. _class_JavaScript:

JavaScript
==========

**Inherits:** :ref:`Object<class_object>`

**Category:** Core

Brief Description
-----------------

Singleton that connects the engine with the browser's JavaScript context in HTML5 export.

Member Functions
----------------

+--------------------------------+---------------------------------------------------------------------------------------------------------------------------------------------+
| :ref:`Variant<class_variant>`  | :ref:`eval<class_JavaScript_eval>` **(** :ref:`String<class_string>` code, :ref:`bool<class_bool>` use_global_execution_context=false **)** |
+--------------------------------+---------------------------------------------------------------------------------------------------------------------------------------------+

Description
-----------

The JavaScript singleton is implemented only in HTML5 export. It's used to access the browser's JavaScript context. This allows interaction with embedding pages or calling third-party JavaScript APIs.

Member Function Description
---------------------------

.. _class_JavaScript_eval:

- :ref:`Variant<class_variant>` **eval** **(** :ref:`String<class_string>` code, :ref:`bool<class_bool>` use_global_execution_context=false **)**

Execute the string ``code`` as JavaScript code within the browser window. This is a call to the actual global JavaScript function ``eval()``.

If ``use_global_execution_context`` is ``true``, the code will be evaluated in the global execution context. Otherwise, it is evaluated in the execution context of a function within the engine's runtime environment.


